const webpack = require("webpack");

module.exports = {
  entry: "./src/index.js",
  output: {
    path: "./dist/",
    filename: "index.js",
    library: "VuejsPaginate",
    libraryTarget: "umd",
  },
  resolve: {
    extensions: ["", ".js", ".vue"],
  },
  module: {
    loaders: [
      {
        test: /\.vue$/,
        loader: "vue",
      },
      {
        test: /\.js$/,
        loader: "babel",
        include: __dirname,
        exclude: /node_modules/,
      },
    ],
  },
  plugins: [
    new webpack.optimize.UglifyJsPlugin({
      minimize: true,
      sourceMap: false,
      mangle: true,
      compress: {
        warnings: false,
      },
    }),
  ],
};
